Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class OnLockVisitor

    java.lang.Object
      org.hibernate.event.internal.AbstractVisitor
          org.hibernate.event.internal.ProxyVisitor
              org.hibernate.event.internal.ReattachVisitor
                  org.hibernate.event.internal.OnLockVisitor

    public class OnLockVisitor

extends ReattachVisitor

When a transient entity is passed to lock(), we must inspect all its collections and 1. associate any uninitialized PersistentCollections with this session 2. associate any initialized PersistentCollections with this session, using the existing snapshot 3. throw an exception for each "new" collection

Constructor Summary
`OnLockVisitor(EventSource session, Serializable key, Object owner)`

Method Summary

Methods inherited from class org.hibernate.event.internal.ProxyVisitor
`isOwnerUnchanged, reattachCollection`

Methods inherited from class org.hibernate.event.internal.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnLockVisitor

    public OnLockVisitor(EventSource session,
                         Serializable key,
                         Object owner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.